org.apache.ignite.internal.processors.rest.client.message

## Class GridClientAuthenticationRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientAuthenticationRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientAuthenticationRequest
    extends GridClientAbstractMessage

Client authentication request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientAuthenticationRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `credentials()`
`void` `credentials(Object cred)`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientAuthenticationRequest

    public GridClientAuthenticationRequest()

### Method Detail

#### credentials

    public Object credentials()

Returns:
  Credentials object.

#### credentials

    public void credentials(Object cred)

Parameters:
  `cred` - Credentials object.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018